%define upstream_name    IPC-ShareLite
%define upstream_version 0.17

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 5

Summary: 	Lightweight interface to shared memory
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel >= 5.8.0


%description
IPC-ShareLite module for perl.  IPC::ShareLite provides a simple
interface to shared memory, allowing data to be efficiently
communicated between processes.  Your operating system must support
SysV IPC (shared memory and semaphores) in order to use this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
make CFLAGS="%{optflags}"

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorarch}/auto/IPC
%{perl_vendorarch}/IPC


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-5.mga3
+ Revision: 368645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.170.0-4.mga3
+ Revision: 250790
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.170.0-3.mga2
+ Revision: 104693
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.170.0-2.mga1
+ Revision: 30548
- mageia rebuild
- imported package perl-IPC-ShareLite

